package de.fhdw.wtf.common.exception.editor;

/**
 * Visitor for {@link CheckException}.
 * 
 */
public interface CheckExceptionVisitor {
	
	/**
	 * Handle-Method.
	 * 
	 * @param v
	 *            {@link MarkableCheckException}
	 */
	void handle(MarkableCheckException v);
	
	/**
	 * Handle-Method.
	 * 
	 * @param v
	 *            {@link GeneralCheckException}
	 */
	void handle(GeneralCheckException v);
	
}
