package de.fhdw.wtf.common.token.keywords;

import de.fhdw.wtf.common.token.Position;

/**
 * Represents attribute-modifiers as tokens in WTF.
 */
public abstract class AttributeModifierToken extends KeywordToken {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = -1497307903140168867L;
	
	/**
	 * Protected constructor for {@link AttributeModifierToken}. Use create(...)-Factory instead!
	 * 
	 * @param position
	 *            represents the start position of an {@link AttributeModifierToken} in the original input.
	 */
	protected AttributeModifierToken(final Position position) {
		super(position);
	}
	
	@Override
	public boolean isAttributeModifierToken() {
		return true;
	}
	
}
